<?php
/*
Plugin Name: Wavr
Plugin URI: http://open-source.triplesmart.com/wavr-google-wave-for-wordpress.html
Description: Wavr is an easy way to embed google wave into wordpress.
Version: 0.1.4
Author: Lucas Caro
Author URI: http://www.triplesmart.com/
*/
?>
<?php
/*
    Copyright 2009  Lucas Caro (email : lucas@triplesmart.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
?>
<?php
//setUIConfig(bgcolor:String, color:String, font:String, fontsize:String)
include('support/common.php');

/* Set the admin options page */
add_action('admin_menu', 'wavr_menu');
add_option("wavr_default_color", '#ff0000');
add_option("wavr_default_bgcolor", '#00ff00');
add_option("wavr_default_font", '');
add_option("wavr_default_font_size", '1em');
add_option("wavr_default_width", '100%');
add_option("wavr_default_height", '500px');

function wavr_menu(){
	add_options_page('Wavr Setup',"Wavr",0,'wavr','wavr_options');
}

function wavr_options(){
	include("support/options_page.php");
}

$global_waves=0;
function expand_wave($atts){
	global $global_waves;
	$default_bgcolor = get_option('wavr_default_bgcolor');
	$default_color = get_option('wavr_default_color');
	$default_font = get_option('wavr_default_font');
	$default_font_size = get_option('wavr_default_font_size');
	$default_width = get_option('wavr_default_width');
	$default_height = get_option('wavr_default_height');
	$a = shortcode_atts(array(
			'bgcolor' => $default_bgcolor,
			'color' => $default_color,
			'font' => $default_font,
			'font_size' => $default_font_size,
			'width' => $default_width,
			'height' => $default_height,
			'id' =>null,
		),$atts);
	$global_waves++;
	
	$wScript = '
		<div id="waveframe-'.$global_waves.'" style="width:'.$a['width'].';height:'.$a['height'].';" ></div>
		 <script type="text/javascript">
			
				add_wave("waveframe-'.$global_waves.'",{';
		$wScriptOpts=array();
		foreach($a as $k=>$val){
				$wScriptOpts[]='
					'.$k.':"'.$val.'"';
		}
		$wScript.=join(',',$wScriptOpts);
	//
	//				bgcolor:"'.$a['bgcolor'].'",
	//				color:"'.$a['color'].'",
	//				font:"'.$a['font'].'",
	//				font_size:"'.$a['font_size'].'",
	//				width:"'.$a['width'].'",


		$wScript .='		});
			
		</script>
		';
	return $wScript;
}

add_shortcode('wave','expand_wave');



/*
 * Modify head to include the scripts once
 */
function wavr_set_head(){
	echo '<script src="http://wave-api.appspot.com/public/embed.js" type="text/javascript"></script>
		<script type="text/javascript">
			function add_wave(containerId,options){
				var wavePanel = new WavePanel("http://wave.google.com/a/wavesandbox.com/");
				wavePanel.loadWave(options.id);
				wavePanel.setUIConfig(options.bgcolor, options.color,options.font,options.font_size+"pt");
				wavePanel.init(document.getElementById(containerId));
			}
		</script>
	';
}
add_action ( 'wp_head', 'wavr_set_head');
